# Class TradableList

#### Hierarchy

- unknown
  - TradableList

- Defined in src/protobuf/pb_pb.d.ts:5832
- Defined in src/protobuf/pb_pb.d.ts:5846

#####
Index

### Constructors

constructor

### Methods

addTradable
clearTradableList
getTradableList
serializeBinary
setTradableList
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new TradableList(): TradableList

- #### Returns TradableList

  Inherited from jspb.Message.constructor

## Methods

### addTradable

- addTradable(value?: Tradable, index?: number): Tradable

- #### Parameters

  - ##### `Optional` value: Tradable

  - ##### `Optional` index: number

  #### Returns Tradable

  - Defined in src/protobuf/pb_pb.d.ts:5836

### clearTradableList

- clearTradableList(): TradableList

- #### Returns TradableList

  - Defined in src/protobuf/pb_pb.d.ts:5835

### getTradableList

- getTradableList(): Tradable[]

- #### Returns Tradable[]

  - Defined in src/protobuf/pb_pb.d.ts:5833

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:5838

### setTradableList

- setTradableList(value: Tradable[]): TradableList

- #### Parameters

  - ##### value: Tradable[]

  #### Returns TradableList

  - Defined in src/protobuf/pb_pb.d.ts:5834

### toObject

- toObject(includeInstance?: boolean): TradableList.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns TradableList.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:5839

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): TradableList

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns TradableList

  - Defined in src/protobuf/pb_pb.d.ts:5842

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: TradableList, reader: BinaryReader): TradableList

- #### Parameters

  - ##### message: TradableList

  - ##### reader: BinaryReader

  #### Returns TradableList

  - Defined in src/protobuf/pb_pb.d.ts:5843

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: TradableList, writer: BinaryWriter): void

- #### Parameters

  - ##### message: TradableList

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:5841

### `Static` toObject

- toObject(includeInstance: boolean, msg: TradableList): TradableList.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: TradableList

  #### Returns TradableList.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:5840

Generated using TypeDoc